Bug 816058 - [TestPlan]For submission of removing non-existing child node from current plan, appropriate feedback should be given
Summary: [TestPlan]For submission of removing non-existing child node from current pla...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.7.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 3.8.0
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 07:31 UTC by Guoping Feng
Modified: 2021-02-16 02:44 UTC (History)
4 users (show)

Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guoping Feng 2012-04-25 07:31:30 UTC
Description of problem:
In tree view of test plan, for "remove child node from current plan", when non-existing node is submitted, the system gives the feedback of "The tree has been reloaded". But actually the nothing changed for that the input child node is invalid.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
always

Steps to Reproduce:
1.Enter into any test plan. make sure that the plan has been set a child node and a parent node.
2.Click "remove child node from current plan" and input a non-existing node or current plan's parent node, then submit.
3.Check the prompt given after step2.
  
Actual results:
The tree doesn't change but the system gives the feedback of "The tree has been reloaded"

Expected results:
For the invalid child node situation, system should just give the warning like "The input child node id is invalid" directly.

Additional info:

Comment 1 Zheng Liu 2012-07-13 09:59:20 UTC
This bug has been fixe. Please verify in Version 3.8.0

Comment 2 xubai 2012-07-26 02:38:32 UTC
Verify 3.8.0-1 on stage --> PASS

Verify steps:
1.Enter into any test plan. make sure that the plan has been set a child node and a parent node.
2.Click "remove child node from current plan" and input a non-existing node or current plan's parent node, then submit.
3.Check the prompt given after step2.

Actual results:
The system gives feedback that "XXX is not the child node of current plan"


Note You need to log in before you can comment on or make changes to this bug.